Cyberduck Mountain Duck CLI

#3083 closed enhancement (fixed)

Anzeigen des Realm bei HTTP Basic Auth

Reported by: halm.reusser@… Owned by: dkocher
Priority: normal Milestone: 3.2
Component: interface Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Es wäre schön, wenn bei der Abfrag von Username/Password bei einer HTTP Basic Auth der fragende Host, sowie der Realm angezeigt würden.

Es sind zwei Beispiele Bilder attached: Eines von Cyberduck und eines wie es bei Safari aussieht.

Der HTTP Header ist folgender: "WWW-Authenticate: Basic realm="Hier steht der Realm"

Besten Dank.

Change History (5)

comment:1 Changed on Mar 24, 2009 at 9:09:20 AM by dkocher

  • Milestone set to 3.1.3
  • Resolution set to fixed
  • Status changed from new to closed

In r4531. However the realm is only displayed if login fails because the credentials if not found in the Keychain are asked for before the connection is opened.

comment:2 follow-up: Changed on Mar 24, 2009 at 9:26:48 PM by halm.reusser@…

Habe gerade deinen nightly von 11:00 Uhr runtergeladen (r4531), leider sehe ich den REALM und anfragende Host im Popup noch nicht.

comment:3 in reply to: ↑ 2 Changed on Mar 24, 2009 at 9:48:55 PM by dkocher

Replying to halm.reusser@…:

Habe gerade deinen nightly von 11:00 Uhr runtergeladen (r4531), leider sehe ich den REALM und anfragende Host im Popup noch nicht.

Sicher dass auch der neuste Nightly Build gestartet ist? Wie lautet der Text im Login Dialog? Uebrigens haben die Nightly Builds einen eigenen Update Feed; lässt sich also einfach selber aktualisieren über Check for Update....

comment:4 Changed on Mar 26, 2009 at 11:42:59 AM by dkocher

Including hostname in r4539.

comment:5 Changed on Apr 8, 2009 at 12:28:21 PM by dkocher

Show REALM on first prompt in r4575.

Note: See TracTickets for help on using tickets.
swiss made software